Package net.sourceforge.jiu.codecs

# Class WrongFileFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.sourceforge.jiu.ops.OperationFailedException
net.sourceforge.jiu.codecs.WrongFileFormatException

All Implemented Interfaces:
  `Serializable`

public class WrongFileFormatException extends OperationFailedException
This exception is thrown during image loading. If a codec is sure that the file or input stream that was given to it is not in the format supported by that codec, an instance of this exception class is thrown. This is usually the case if the magic byte sequence of that format is not found at the beginning of the stream.

If there were errors during loading because of file corruption, an `InvalidFileStructureException` should be thrown.

If the format is recognized but cannot be loaded because the codec does not fully support the file format, a `UnsupportedTypeException` should be thrown.

Author:
  Marco Schmidt
See Also:
  - `InvalidFileStructureException`
  - `UnsupportedTypeException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WrongFileFormatException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrongFileFormatException

public WrongFileFormatException(String message)